Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.camera.recorder
Class Orientation

    java.lang.Object
      de.rico.engine.camera.recorder.Orientation

All Implemented Interfaces:
  java.io.Serializable

    public class Orientation

extends java.lang.Object
implements java.io.Serializable

This class encapsulates the orientation, i.e. position and rotation of the camera at a point of a camera flight.

Author:
  Frank Bruns
See Also:
  Serialized Form

Constructor Summary
`Orientation(float x, float y, float z, float rotX, float rotY)` Creates a new orientation object with the specified parameters that describe the orientation.

Method Summary
`Point3D` | `getPosition()` Returns the position of the orientation object.
`float` | `getRotX()` Returns the x-axis rotation of the orientation object
`float` | `getRotY()` Returns the y-axis rotation of the orientation object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Orientation

    public Orientation(float x,
                       float y,
                       float z,
                       float rotX,
                       float rotY)

  Creates a new orientation object with the specified parameters that describe the orientation.

  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `z` - z-coordinate
    `rotX` - x-axis rotation
    `rotY` - y-axis rotation

Method Detail

### getPosition

    public Point3D getPosition()

  Returns the position of the orientation object.

  Returns:
    position of the orientation

### getRotX

    public float getRotX()

  Returns the x-axis rotation of the orientation object

  Returns:
    x-axis rotation

### getRotY

    public float getRotY()

  Returns the y-axis rotation of the orientation object

  Returns:
    y-axis rotation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD